// Custom variables for the Raspberry theme option of the FiveAlive-lite theme

// - - - - - - - Bootstrap variables (override values in node_modules/bootstrap/scss/_variables.scss - - - - - - //
// Color system

// scss-docs-start gray-color-variables
$white:    #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black:    #000 !default;
// scss-docs-end gray-color-variables

// fusv-disable
// scss-docs-start gray-colors-map
$grays: (
    "100": $gray-100,
    "200": $gray-200,
    "300": $gray-300,
    "400": $gray-400,
    "500": $gray-500,
    "600": $gray-600,
    "700": $gray-700,
    "800": $gray-800,
    "900": $gray-900
) !default;
// scss-docs-end gray-colors-map
// fusv-enable

// scss-docs-start color-variables
$blue:    #0d6efd !default;
$indigo:  #6610f2 !default;
$purple:  #6f42c1 !default;
$pink:    #d63384 !default;
$red:     #dc3545 !default;
$orange:  #fd7e14 !default;
$yellow:  #ffc107 !default;
$green:   #198754 !default;
$teal:    #20c997 !default;
$cyan:    #0dcaf0 !default;
// scss-docs-end color-variables

// scss-docs-start colors-map
$colors: (
    "blue":       $blue,
    "indigo":     $indigo,
    "purple":     $purple,
    "pink":       $pink,
    "red":        $red,
    "orange":     $orange,
    "yellow":     $yellow,
    "green":      $green,
    "teal":       $teal,
    "cyan":       $cyan,
    "black":      $black,
    "white":      $white,
    "gray":       $gray-600,
    "gray-dark":  $gray-800
) !default;
// scss-docs-end colors-map

$red-300: tint-color($red, 40%) !default;
$green-300: tint-color($green, 40%) !default;

$theme-colors: (
    "primary":            #D70977, // #eb0a82,
    "secondary":         #781437,
    "success":             #5cb85c,
    "info":               #8c1946,
    "warning":             #f0ad4e,
    "danger":              #85072e, //#ff5c1a,
    "light":            #ffffff,
    "dark":                #b50964
);

$primary:       #D70977; // #eb0a82;
$secondary:     #781437;
$success:       #5cb85c;
$info:          #8c1946;
$warning:       #f0ad4e;
$danger: #85072e;
$light:         #ffffff;
$dark:          #b50964;

$theme-colors: map-merge(
        (
            "primary":    $primary,
            "secondary":  $secondary,
            "success":    $success,
            "info":       $info,
            "warning":    $warning,
            "danger":     $danger,
            "light":      $light,
            "dark":       $dark
        ),
        $theme-colors
);

// The following are default values from node_modules/bootstrap/scss/variables.scss - change as needed for theme child option (or to match values in parent theme).
// Comment-out any that are already defined in the parent theme variables.scss file and shouldn't be redefined.

$gray-600: #6c757d !default;
$gray-900: #212529;

$white:    #fff;
$black:    #000;
$light: #D10A74; // #e10c7c;
//$primary: #e10c7c;

// Options

// Prefix
$prefix: bs-;


$body-bg:                   $white !default;
$body-color: #212529;

$bg-light: #D10A74; // #e10c7c

$link-color:                   #b51360;
$link-hover-color:               darken($link-color, 15%);
$link-hover-decoration:       none;
$link-shade-percentage:                   20% !default;

$btn-link-disabled-color:     $gray-600 !default;

// Navs
$nav-tabs-link-color: #000;
$nav-tabs-link-bg: #ffdace;
$nav-tabs-link-active-color: #fff;
$nav-tabs-link-active-bg: #a61a32; // Same as $dropdown-link-hover-bg;

// Navbars

// Typography
$hr-color: #e10c7c;
$text-muted:  #6B737B;

// Cards
$card-border-color: #e60b7f;

// Tables
$table-border-color: #f459ab;
$table-accent-bg: #f9f9f9;
$table-hover-bg: #f5f5f5;

// Forms
$input-color: var(--#{$prefix}body-color) !default; // #555555;
$input-bg: var(--#{$prefix}body-bg) !default; // #f9ebed; //#f9dcec;
$input-border-color: var(--#{$prefix}border-color) !default; // #fa9ccd;
$input-border-top-color: #fa9ccd;
$input-border-right-color: #fcf6f9;
$input-border-bottom-color: #fcf6f9;
$input-border-left-color: #fa9ccd;

// Form validation

// Dropdowns
$dropdown-bg: #771437;
$dropdown-border-color: rgba(0, 0, 0, 0.15);
$dropdown-link-color: #ffffff;
$dropdown-link-hover-color: #f2f2f2;
$dropdown-link-hover-bg: #61102d;
$dropdown-link-active-color: #f2f2f2;
$dropdown-link-active-bg: #e60b7f;
$dropdown-link-disabled-color: #f2f2f2;
$dropdown-header-color: #ffffff;
$dropdown-divider-bg: $dropdown-bg;

$dropdown-dark-color: #fff;
$dropdown-dark-bg: $dropdown-bg;

// Pagination
$nav-pills-link-active-bg: #b51360;
$pagination-color: #b51360;
$pagination-bg: #ffffff;
$pagination-border-color: #dddddd;
$pagination-hover-color: #e10c7c;
$pagination-hover-bg: #eeeeee;
$pagination-hover-border-color: #dddddd;
$pagination-active-bg: #b51360;
$pagination-active-border-color: #b51360;
$pagination-disabled-color: #999999;
$pagination-disabled-bg: #ffffff;
$pagination-disabled-border-color: #dddddd;

// Code
$code-color:                       $body-color; //  $pink !default;


// - - - - - - - - - -  - - - - - - Other variables, if any - - - - - - - - - - - - - - - - - //

// Aug 18 2022 start
$top-bg: #49006c; // Used for $post-card-header-bg and .postbody-title
$top-color: #fff;
$top-link-color: #fff;
$top-link-hover-color: #f9f9f9;
//$topbar-bg: #063035;

$top-dark-bg: #a40d3a; //#cd0a53;
$top-dark-color: #fff;
$topbar-dark-bg: #93071a; //#e30b5d; // $topbar-light-bg;
$topbar-dark-color: #fff;

$top-light-bg: $top-dark-bg; // #a52874;
$top-light-color: $top-dark-color; // #fff;
$topbar-light-bg: $topbar-dark-bg;  // #551e3d;
$topbar-light-color: $topbar-dark-color; //#fff;

$navbar-light-link-color: $top-light-color;
$navbar-light-link-hover-color: #f2f2f2;
$navbar-light-link-hover-bg: #003c4a;

$navbar-dark-link-color: $top-light-color;
$navbar-dark-link-hover-color: #f2f2f2;
$navbar-dark-link-hover-color: $navbar-light-link-hover-color;
//$navbar-light-link-hover-bg: #003c4a;
// Aug 18 2022 revamp end

// Dropdowns
$dropdown-dark-link-hover-bg:       rgba($white, .15) !default;


$side-column-heading-color: #93071a; //#e60b7f;

$middle_outer-inset-shadow-bg: #35061d;
$footer_liner-card-inner-border: #93071a; //#eb0a82;

$footer-accent-color: #93071a; //#eb0a82;
$footer-btn-secondary-color: #f4f4f4;
$footer_liner-border-color: $footer-accent-color;

//$autotoc-nav-bg: #771437;
//$autotoc-color: #ffffff;
//$autotoc-nav-link-hover-color: #f2f2f2;
//$autotoc-nav-link-hover-bg: #61102d;

//$autotoc-nav-bg: #ffffff;
//$autotoc-nav-border: #e60b7f;
//$autotoc-color: #b51360;
//$autotoc-nav-li-link-hover-color: #f2f2f2;
//$autotoc-nav-li-link-hover-bg: #61102d;


// These variables need to be defined for the files to compile. The specific variables for the child theme's button colors are defined
// at the bottom of the file but by default they use the child theme's theme-colors. There appears to be redundancy in defining colors but each line is necessary.
// There are unique names for the child theme button colors to avoid any conflict with the general theme colors.

$box-shadow-sm:               0 .125rem .25rem rgba($black, .075) !default;
$box-shadow:                  0 .5rem 1rem rgba($black, .15) !default;
$box-shadow-lg:               0 1rem 3rem rgba($black, .175) !default;
$btn-box-shadow:              inset 0 1px 0 rgba($white, .15), 0 1px 1px rgba($black, .075) !default;
$enable-gradients:               false;
$enable-shadows:              false;
$input-btn-focus-width:       .2rem !default;
$btn-focus-width:             $input-btn-focus-width !default;

// Other variables
$bg-dark-link-hover-color: #f2f2f2;
$bg-dark-link-hover-bg: #003c4a;
$top-bg: #cd0a53; // #E00B7C; //#b50964;
$top-color: #fff;
$top-link-color: #fff;
$top-link-hover-color: #f9f9f9;
$topbar-bg: #e30b5d; // #e60b7f; Actual Raspberry hex color
$topbar-link-color: #fff;
$bg-dark-info: #f2f2f2;
$page-header-link-color: #000;

// CSS variables / custom properties for base_files/scss/_tiki-pagetop_colors.scss -- Interpolation info from https://developersink.com/css/css-custom-properties-sass-variables/
// Background images (actual images or CSS gradients, etc.), if assigned, override background colors.
.tiki .tiki-top-nav-light {
    --tiki-top-bg: #{$top-light-bg} !important;
    --tiki-top-color: #{$top-link-color};
    --tiki-top-hover-color: #{$top-link-hover-color};
    --tiki-top-text-color: #{$top-link-hover-color};
    --tiki-top-border: solid #000;
}

.tiki .tiki-topbar-nav-light {
    --tiki-topbar-bg: #{$topbar-light-bg};
    --tiki-topbar-color: #{$top-light-color};
    --tiki-topbar-hover-color: #{$navbar-light-link-hover-color};
    --tiki-topbar-text-color: #{$navbar-light-link-hover-color};
}

.tiki .tiki-top-nav-dark {
    --tiki-top-bg: #{$top-dark-bg} !important;
    --tiki-top-color: #{$navbar-dark-link-color};
    --tiki-top-hover-color: #{$navbar-dark-link-hover-color};
    --tiki-top-text-color: #{$navbar-dark-link-hover-color};
    --tiki-top-border: solid #000;
}

.tiki .tiki-topbar-nav-dark {
    --tiki-topbar-bg: #{$topbar-dark-bg};
    --tiki-topbar-color: #{$navbar-dark-link-color};
    --tiki-topbar-hover-color: #{$navbar-dark-link-hover-color};
    --tiki-topbar-text-color: #{$navbar-dark-link-hover-color};
}

.tiki-nav-top-light, .tiki-nav-top-dark {
    --tiki-top-border-width: 0 0 5px 0;
}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
.tiki .tiki-admin-top-nav-light,
.tiki .tiki-admin-aside-nav-light {
    --tiki-admin-top-nav-color: #{$top-link-color};
    --tiki-admin-top-nav-hover-color: #{$top-link-hover-color};
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg: #{$top-light-bg};
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #{$top-link-color};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
}
// Light top nav
.tiki.tiki-admin .top_modules.navbar-light-parent {
    --tiki-admin-top-nav-bg: #{$top-light-bg};
}

// Dark navbar minus top nav
.tiki .tiki-admin-top-nav-dark,
.tiki .tiki-admin-aside-nav-dark {
    --tiki-admin-top-nav-color:  #{$navbar-dark-link-color};
    --tiki-admin-top-nav-hover-color: #{$navbar-dark-link-color};
//    --tiki-admin-top-nav-link-hover-bg: #{$navbar-dark-hover-color};
    --tiki-admin-aside-nav-bg: #{$top-dark-bg};
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #{$navbar-dark-link-color};
    --tiki-admin-dropdown-bg: #{$dropdown-dark-bg};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
}
// Dark top nav
.tiki.tiki-admin .top_modules.navbar-dark-parent {
    --tiki-admin-top-nav-bg: #{$top-dark-bg};
}
// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //

.accordion {
    --bs-accordion-active-bg: #{$topbar-light-bg};
    --bs-accordion-active-color: #fff;
    --bs-accordion-btn-bg: #{$top-light-bg};
    --bs-accordion-btn-color: #fff;
}